Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class PointcutInfo

    java.lang.Object
      org.jboss.aop.pointcut.PointcutInfo

public class PointcutInfo
extends Object

Contains information about a pointcut.

Author:
  Flavia Rainone

Constructor Summary
`PointcutInfo(Pointcut pointcut, AdviceBinding binding, boolean dynamicAop)` This constructor must be called only when a pointcut is declared inside a binding.
`PointcutInfo(Pointcut pointcut, boolean dynamicAop)` Constructor that must be called only when a pointcut is declared outside a binding.

Method Summary
`AdviceBinding` | `getBinding()` Returns the `AdviceBinding` associated with the pointcut.
`Pointcut` | `getPointcut()` Returns the pointcut associated with this information.
`boolean` | `isDynamicAop()` Indicates if this pointcut was added to the system through a dynamic aop operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointcutInfo

    public PointcutInfo(Pointcut pointcut,
                        AdviceBinding binding,
                        boolean dynamicAop)

  This constructor must be called only when a pointcut is declared inside a binding.

Parameters:
  `pointcut` - the pointcut.
  `binding` - the binding associated with `pointcut`.
  `dynamicAop` - if `true`, indicates that `binding` was added during a dynamic aop operation (i.e., in runtime).

### PointcutInfo

    public PointcutInfo(Pointcut pointcut,
                        boolean dynamicAop)

  Constructor that must be called only when a pointcut is declared outside a binding.

Parameters:
  `pointcut` - the pointcut.
  `dynamicAop` - if `true`, indicates that `binding` was added during a dynamic aop operation (i.e., in runtime).

Method Detail

### getPointcut

    public Pointcut getPointcut()

  Returns the pointcut associated with this information.

  Returns:
    the pointcut.

### getBinding

    public AdviceBinding getBinding()

  Returns the `AdviceBinding` associated with the pointcut.

  Returns:
    an instance of `org.jboss.aop.advice.AdviceBinding`. May be null if this pointcut isn't associated with a binding.

### isDynamicAop

    public boolean isDynamicAop()

  Indicates if this pointcut was added to the system through a dynamic aop operation. (i.e., through a AspectManager.addBinding() invocation made during system runtime).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.